MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sc::FeatureNotImplemented Class Reference

This is thrown when an attempt is made to use a feature that is not yet implemented. More...

`#include <scexception.h>`

Inheritance diagram for sc::FeatureNotImplemented:
[legend]
Collaboration diagram for sc::FeatureNotImplemented:
[legend]

## Public Member Functions
| FeatureNotImplemented (const char *description=0, const char *file=0, int line=0, const ClassDesc *class_desc=0, const char *exception_type="FeatureNotImplemented") throw ()
| FeatureNotImplemented (const FeatureNotImplemented &) throw ()
Public Member Functions inherited from sc::ProgrammingError
| ProgrammingError (const char *description=0, const char *file=0, int line=0, const ClassDesc *class_desc=0, const char *exception_type="ProgrammingError") throw ()
| ProgrammingError (const ProgrammingError &) throw ()
Public Member Functions inherited from sc::SCException
| SCException (const char *description=0, const char *file=0, int line=0, const ClassDesc *class_desc=0, const char *exception_type="SCException") throw ()
| SCException (const SCException &) throw ()
const char * | what () const throw ()
| Reimplementation of std::exception::what(). More...
const char * | description () const throw ()
const char * | file () const throw ()
int | line () const throw ()
const ClassDesc * | class_desc () const throw ()
const char * | exception_type () const throw ()
std::ostream & | elaborate ()
| Returns a stream where addition information about the exception can be written. More...

## Detailed Description

This is thrown when an attempt is made to use a feature that is not yet implemented.

The documentation for this class was generated from the following file:

- scexception.h